gh(1)

NAME

gh-repo-create - Create a new repository

SYNOPSIS

gh repo create [] [flags]

DESCRIPTION

Create a new GitHub repository.

OPTIONS

-y, --confirm[=false]
    Confirm the submission directly

-d, --description=""
    Description of repository

--enable-issues[=true]
    Enable issues in the new repository

--enable-wiki[=true]
    Enable wiki in the new repository

-h, --homepage=""
    Repository home page URL

--internal[=false]
    Make the new repository internal

--private[=false]
    Make the new repository private

--public[=false]
    Make the new repository public

-t, --team=""
    The name of the organization team to be granted access

-p, --template=""
    Make the new repository based on a template repository

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE

    # create a repository under your account using the current directory name
    $ gh repo create
    # create a repository with a specific name
    $ gh repo create my-project
    # create a repository in an organization
    $ gh repo create cli/my-project

SEE ALSO

gh-repo(1)